**FinnWarsLauncher**
====
## Less fiddling, more battling
<p align="center">
  <img width="460" height="300" src="https://git.huitsinnevada.fi/NikkeDoy/FinnWarsLauncher/raw/branch/main/assets/repository/application-window.webp">
</p>

[EN]
FinnWarsLauncher is a graphical user interface (GUI) application designed to launch the FinnWars game with custom server address and username settings.

[FI]
FinnWarsLauncher on käyttöliittymäapplikaatio suunniteltu käynnistämään FinnWars-modilla varustettu Battlefield 1942 peli ja liittymään annetulle palvelimelle halutulla käyttäjänimellä.


### GOOD TO KNOW / Hyvä tietää
----
[EN]
#### FinnWarsLauncher is an EXPERIMENTAL LAUNCHER and does NOT work properly on all systems, so be patient if your faced problem doesn't get resolved immediately!!!

[FI]
#### FinnWarsLauncher on KOKEELLINEN OHJELMA ja se EI toimi oikein kaikilla järjestelmillä, joten ota rennosti jos löytämääsi ongelmaa ei korjata silmänräpäyksessä!!!

### Requirements / Vaatimukset
----
* Python 3.12.x or newer
* TKinter installed via distributions package manager (Linux things...)

  Some Linux distributions require installing tkinter/tk via package manager.
  Arch linux / EndeavourOS / Manjaro / etc...:
  ´´´
  sudo pacman -S tk
  ```
  Debian / Ubuntu / Linux Mint / etc...:
  ```
  sudo apt install tk
  ```
  aaand others you probably can figure out yourself :)


### Installation from source / Asennus lähdekoodista
----
[EN]
Some distributions use `python3` instead of `python` so keep that in mind!
0. ^ Install requirements ^
1. Clone repository:
  ```
  git clone https://git.huitsinnevada.fi/NikkeDoy/FinnWarsLauncher.git
  ```
2. Create virtual environment (Optional / Recommended)
  ```
  python -m venv venv
  source venv/bin/activate
  ```
3. Install packages
  ```
  pip install -r requirements.txt
  ```

[EN]
Useat järjestelmät käyttävät `python3`-komentoa `python` sijaan, joten pidä se mielessä!
0. ^ Asenna vaatimukset ^
1. Kloonaa repositorio:
  ```
  git clone https://git.huitsinnevada.fi/NikkeDoy/FinnWarsLauncher.git
  ```
2. Luo virtual environmentti (Ei pakollinen / Suositeltu)
  ```
  python -m venv venv
  source venv/bin/activate
  ```
3. Asenna paketit
  ```
  pip install -r requirements.txt
  ```


### Usage / Käyttö
----
[EN]
0. Be sure that you are currently using created virtual environment (if you don't create it then no worries.)
1. Run the application with:
  ```
  python main.py
  ```
2. Change settings.
3. Save settings by clicking `Save`-button.
4. Launch the game by pressing `Launch`-button and give them HELL.

[FI]
0. Varmista, että käytät juuri luotua virtual environmentia (jos olet sen luonut)
1. Käynnistä applikaatio komennolla:
  ```
  python main.py
  ```
2. Vaihda asetuksia...
3. Tallenna asetukset painamalla `Save`-näppäintä.
4. Pelaa painamalla `Launch`-näppäintä ja anna vihuille KYYTIÄ.


### Troubleshooting / Vianetsintä
----
[EN]
* TODO
* If it doesn't work then... shit... create an issue by following our "ISSUE GUIDELINES."

[FI]
* TODO
* Jos applikaatio ei toimi, niin... luo uusi issue noudattamalla meidän "ISSUE OHJEITA."

### Contributing / Kontribuoi
----
[EN]
Contributions to this project are welcome!
Please submit your pull request or issue to this repository.

[FI]
Apu kelpaa aina!
Laita vain tulemaan pull requestit tai issuet tähän repoon.
